/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { ScrollIntoViewService } from '../../shared/scroll-into-view.service';
import { PicklistDemoModule } from '../picklist-demo/picklist-demo.module';
import { BciCorePicklistDemoComponent } from './bci-core-picklist-demo.component';

describe('BciCorePicklistDemoComponent', () => {
  let component: BciCorePicklistDemoComponent;
  let fixture: ComponentFixture<BciCorePicklistDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [NoopAnimationsModule, PicklistDemoModule],
        providers:[ScrollIntoViewService]
        // declarations: [ BciCorePicklistDemoComponent ]
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BciCorePicklistDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
